summaryrefslogtreecommitdiff
path: root/bin/stagit-new-repo
diff options
context:
space:
mode:
Diffstat (limited to 'bin/stagit-new-repo')
-rwxr-xr-xbin/stagit-new-repo2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/stagit-new-repo b/bin/stagit-new-repo
index e7cba72..90b0882 100755
--- a/bin/stagit-new-repo
+++ b/bin/stagit-new-repo
@@ -15,7 +15,7 @@ home="/home/git"
srv="/srv/git"
www="/var/www/git"
-[ -d "$srv/$repo" ] && echo "$repo already exists!" && exit 1
+[ -d "$srv/$repo.git" ] && echo "$repo already exists!" && exit 1
git init --bare "$srv/$repo.git"
cp "/usr/local/share/post-receive" "$srv/$repo.git/hooks/post-receive"